Bug 54126 - Appending to an archive on IDE tape using "tar -rvf" errors out
Summary: Appending to an archive on IDE tape using "tar -rvf" errors out
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
(Show other bugs)
Version: 7.3
Hardware: i386 Linux
high
high
Target Milestone: ---
Assignee: Pete Zaitcev
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-09-27 23:58 UTC by Tesfamariam Michael
Modified: 2005-10-31 22:00 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-08-06 21:27:45 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/var/log/messages (36.73 KB, text/plain)
2001-09-28 00:10 UTC, Tesfamariam Michael
no flags Details
trace of the commands I used to create multiple archives (14.22 KB, text/plain)
2001-09-28 20:56 UTC, Tesfamariam Michael
no flags Details
Checkpoint after 2.5 fixes (9.62 KB, patch)
2001-10-10 20:10 UTC, Pete Zaitcev
no flags Details | Diff

Description Tesfamariam Michael 2001-09-27 23:58:16 UTC
Description of Problem:
Trying to append files using "tar -rvf /dev/st0 some_dir_with_files" into 
a Seagate TR5 ide tape errors out with the following message:
  tar: /dev/st0: wrote only 0 of 10240 bytes
  tar: Error is not recoverable: exiting now

Version-Release number of selected component (if applicable):
Both ide-scsi and ide-tape drivers produce the same error.


How Reproducible:
always

Steps to Reproduce:
1. rmmod ide-tape; modprobe ide-scsi; hdparm -d /dev/hdb; 
   mt -f /dev/st0 stoptions no-blklimits
2. tar -cvf /dev/st0 /usr/src/linux/drivers/scsi
   tar -xvf /dev/st0   
3. tar -rvf /dev/st0 /usr/src/linux/drivers/net

Actual Results:
Can't append files to an archive on the tape. It errors out with the 
following message:
  tar: /dev/st0: wrote only 0 of 10240 bytes
  tar: Error is not recoverable: exiting now

Expected Results:
  To be able to append files into an archive in the tape

Additional Information:

Comment 1 Tesfamariam Michael 2001-09-28 00:10:49 UTC
Created attachment 32838 [details]
/var/log/messages

Comment 2 Tesfamariam Michael 2001-09-28 00:13:00 UTC
This happens with 2.4.7-10smp (RH7.2). I will try with the RCs.

Comment 3 Tesfamariam Michael 2001-09-28 20:50:13 UTC
RC1 shows the same problem.
"tar -rf /dev/ht0 file_to_add_to_archive_on_tape" doesn't work.
But it is possibe to dump multiple archives on the tape and use "mt" command to 
move around.

Comment 4 Tesfamariam Michael 2001-09-28 20:56:16 UTC
Created attachment 32958 [details]
trace of the commands I used to create multiple archives

Comment 5 Tesfamariam Michael 2001-09-28 21:01:49 UTC
On the above attached file, /dev/tape was linked to /dev/nht0.

Comment 6 Pete Zaitcev 2001-10-02 20:14:39 UTC
hdparm -d does not do anything, please use hdparm -d0 /dev/hdb
as a first step.

Status: I fixed an obvious problem with switch fall-through
in idetape_mtioctop(), but now the TR-5 barfs with check
and ASC 0x80 ASCQ 0x81. I'll look into it and perhaps take
it up with Seagate.

Comment 7 Pete Zaitcev 2001-10-02 20:23:49 UTC
Why do we have this ENORMOUS cc list of Dell people on this bug?
Those who do not want being spammed are welcome to drop themselves.


Comment 8 Pete Zaitcev 2001-10-10 20:10:41 UTC
Created attachment 33804 [details]
Checkpoint after 2.5 fixes

Comment 9 Pete Zaitcev 2001-11-20 22:44:39 UTC
What makes people think that tar -r is possible to implement
on Seagate TR-5? So far I have seen only evidence to the
contrary. An attempt to space by one block back causes the
tape to "space" by one 512 byte block, not by a tar block.



Comment 10 Joshua Giles 2002-03-28 20:24:42 UTC
****Joshua Giles comment on March 28, 2002****
Problem still evident in Hampton beta3

Comment 11 Pete Zaitcev 2002-03-28 20:28:04 UTC
What do you expect, hardware cannot do it.
Of course, by some Murphy's law, I had to fix driver bugs
first to find that out.

Why do you expect this to work? Does it work on any other OS?


Comment 12 Tesfamariam Michael 2002-03-29 22:44:45 UTC
There aren't any issues seen with other OSes. The device doesn't support UDMA, 
so it would be good if DMA is disabled on this device by default.

Comment 13 Pete Zaitcev 2002-03-29 23:47:37 UTC
This bug has nothing to do with DMA, so my question stands.
Michael, you obviously confused this bug with bug 54517.


Comment 14 Michael K. Johnson 2002-08-06 21:27:40 UTC
I'm not sure why this bug has stayed open so long.  Appending to tapes
is not supported (except, in some cases, on an "if it breaks you get to
keep both pieces" basis).  Most tar man pages I have read on other systems
said things like "appending only works for files, not tapes".

I'd like to understand why this shouldn't be closed NOTABUG.

Comment 15 Pete Zaitcev 2002-08-08 17:10:58 UTC
Modern streaming tapes do not support tar -r, period. Closing NOTABUG.



Note You need to log in before you can comment on or make changes to this bug.